cURL
curl --request POST \
--url https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactEmail": "employer@example.com",
"additionalEmails": [
"contact2@example.com"
],
"onboardingNotes": "New client onboarding for Q1 2025",
"redirectUrl": "https://example.com/onboarding-complete"
}
'import requests
url = "https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/invites"
payload = {
"contactEmail": "employer@example.com",
"additionalEmails": ["contact2@example.com"],
"onboardingNotes": "New client onboarding for Q1 2025",
"redirectUrl": "https://example.com/onboarding-complete"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactEmail: 'employer@example.com',
additionalEmails: ['contact2@example.com'],
onboardingNotes: 'New client onboarding for Q1 2025',
redirectUrl: 'https://example.com/onboarding-complete'
})
};
fetch('https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "00000000-0000-0000-0000-000000000000",
"employerIdentifierId": "11111111-1111-1111-1111-111111111111"
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Invites
Create Employer Invite
Creates a new invite for an employer identifier
POST
/
v1
/
employer-identifiers
/
{employer_identifier}
/
invites
cURL
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Path Parameters
ID of the employer identifier to create the invite for
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Request to create an employer invite for an employer to a third party entity (TPE)
Primary email address of the employer identifier sponsor
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Additional email addresses
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Internal notes about the employer identifier
URL to redirect after onboarding
Response
Employer identifier invite created successfully
ID of the employer invite
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ID of the employer identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$